Bug 158515 - Kernels can't see USB device partition table
Kernels can't see USB device partition table
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-23 03:30 EDT by Adam Huffman
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.14-1.1653
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-06 05:17:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of lsusb -v (14.33 KB, text/plain)
2005-05-23 03:32 EDT, Adam Huffman
no flags Details

  None (edit)
Description Adam Huffman 2005-05-23 03:30:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Fedora/1.0.4-2 Firefox/1.0.4

Description of problem:
Kernels newer than 2.6.11-1.1312 cannot detect the partition table on my Creative MuVo2.  This means the device is not mounted.

May 23 08:19:29 asus kernel: usb 1-4: new high speed USB device using ehci_hcd and address 5
May 23 08:19:29 asus kernel: scsi2 : SCSI emulation for USB Mass Storage devices
May 23 08:19:34 asus kernel:   Vendor: CREATIVE  Model: MuVo^2 (uHDD)     Rev: 0001
May 23 08:19:34 asus kernel:   Type:   Direct-Access                      ANSI SCSI revision: 04
May 23 08:19:34 asus kernel: SCSI device sdf: 7958527 512-byte hdwr sectors (4075 MB)
May 23 08:19:34 asus kernel: sdf: Write Protect is off
May 23 08:19:34 asus kernel: sdf: assuming drive cache: write through
May 23 08:19:34 asus kernel: SCSI device sdf: 7958527 512-byte hdwr sectors (4075 MB)
May 23 08:19:34 asus kernel: sdf: Write Protect is off
May 23 08:19:34 asus kernel: sdf: assuming drive cache: write through
May 23 08:19:36 asus kernel:  sdf: unknown partition table
May 23 08:19:36 asus kernel: Attached scsi removable disk sdf at scsi2, channel 0, id 0, lun 0
May 23 08:19:36 asus scsi.agent[3637]: disk at /devices/pci0000:00/0000:00:02.2/usb1/1-4/1-4:1.0/host2/target2:0:0/2:0:0:0


Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1329_FC4

How reproducible:
Always

Steps to Reproduce:
1. Connect MuVo2
2.
3.
  

Actual Results:  Partition table is not detected and device is not mounted.

Expected Results:  The partition table should have been detected.

Additional info:
Comment 1 Adam Huffman 2005-05-23 03:31:30 EDT
The machine is a Shuttle SN41G2.
Comment 2 Adam Huffman 2005-05-23 03:32:27 EDT
Created attachment 114699 [details]
Output of lsusb -v
Comment 3 Adam Huffman 2005-05-23 03:33:28 EDT
Output of lspci:

00:00.0 Host bridge: nVidia Corporation nForce2 AGP (different version?) (rev a2)
00:00.1 RAM memory: nVidia Corporation nForce2 Memory Controller 1 (rev a2)
00:00.2 RAM memory: nVidia Corporation nForce2 Memory Controller 4 (rev a2)
00:00.3 RAM memory: nVidia Corporation nForce2 Memory Controller 3 (rev a2)
00:00.4 RAM memory: nVidia Corporation nForce2 Memory Controller 2 (rev a2)
00:00.5 RAM memory: nVidia Corporation nForce2 Memory Controller 5 (rev a2)
00:01.0 ISA bridge: nVidia Corporation nForce2 ISA Bridge (rev a4)
00:01.1 SMBus: nVidia Corporation nForce2 SMBus (MCP) (rev a2)
00:02.0 USB Controller: nVidia Corporation nForce2 USB Controller (rev a4)
00:02.1 USB Controller: nVidia Corporation nForce2 USB Controller (rev a4)
00:02.2 USB Controller: nVidia Corporation nForce2 USB Controller (rev a4)
00:04.0 Ethernet controller: nVidia Corporation nForce2 Ethernet Controller (rev a1)
00:05.0 Multimedia audio controller: nVidia Corporation nForce Audio Processing
Unit (rev a2)
00:06.0 Multimedia audio controller: nVidia Corporation nForce2 AC97 Audio
Controler (MCP) (rev a1)
00:08.0 PCI bridge: nVidia Corporation nForce2 External PCI Bridge (rev a3)
00:09.0 IDE interface: nVidia Corporation nForce2 IDE (rev a2)
00:0d.0 FireWire (IEEE 1394): nVidia Corporation nForce2 FireWire (IEEE 1394)
Controller (rev a3)
00:1e.0 PCI bridge: nVidia Corporation nForce2 AGP (rev a2)
01:06.0 Multimedia video controller: Brooktree Corporation Bt878 Video Capture
(rev 11)
01:06.1 Multimedia controller: Brooktree Corporation Bt878 Audio Capture (rev 11)
03:00.0 VGA compatible controller: ATI Technologies Inc R350 AH [Radeon 9800]
03:00.1 Display controller: ATI Technologies Inc Radeon R350 [Radeon 9800]
(Secondary)
Comment 4 Pete Zaitcev 2005-06-11 00:18:51 EDT
Adam, I know this may sound strange, but please retry this without nVidia
driver loaded. No joke. I saw it affecting USB in very strange ways.
Maybe we were just lucky at and before 1.1312.
Comment 5 Adam Huffman 2005-06-12 17:16:30 EDT
(In reply to comment #4)
> Adam, I know this may sound strange, but please retry this without nVidia
> driver loaded. No joke. I saw it affecting USB in very strange ways.
> Maybe we were just lucky at and before 1.1312.
> 

Pete - in fact, the nVidia driver isn't loaded.  I'm using the ATI graphics card
at the moment.

Anyway, with kernel 1.1363, while the device is mounted, the partition table
still isn't detected properly.  I'll try again with the final release of FC4 to
see if the partitions are listed.
Comment 6 Pete Zaitcev 2005-06-13 00:58:33 EDT
What was the last kernel that worked, if any?

Also, does this happen when MuVo is plugged into other computers?
Comment 7 Dave Jones 2005-10-06 03:26:29 EDT
also, any improvement with the latest errata ?
Comment 8 Dave Jones 2005-11-10 14:53:11 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 9 Adam Huffman 2006-01-06 05:17:46 EST
Yes, it works with the latest kernel.  
Comment 10 Adam Huffman 2006-01-06 05:20:08 EST
Actually, I should clarify.  With the latest kernel, the device is mounted, but
the partition table is still not detected.

Note You need to log in before you can comment on or make changes to this bug.